%define oname ppx_inline_test

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.15.0
Release:        %mkrel 4
Summary:        Syntax extension for writing in-line tests in ocaml code

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml >= 4.08.0
BuildRequires:  ocaml-base-devel >= 0.15
BuildRequires:  ocaml-dune >= 2.0.0
BuildRequires:  ocaml-ppxlib-devel
BuildRequires:  ocaml-time_now-devel >= 0.15

%description
Ppx_inline_test is a syntax extension for writing inline tests in OCaml
code.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}
Requires:       ocaml-time_now-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
dune install --destdir=%{buildroot}
rm -rf %buildroot/usr/doc

%files
%doc LICENSE.md CHANGES.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/%{oname}/ppx.exe
%{_libdir}/ocaml/%{oname}/drop/ppx.exe
%dir %{_libdir}/ocaml/%{oname}/*/
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs
%dir %{_libdir}/ocaml/%{oname}/*/*/
%{_libdir}/ocaml/%{oname}/*/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*/*.a
%{_libdir}/ocaml/%{oname}/*/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*/*.cmxs
%{_libdir}/ocaml/%{oname}/runner/lib/runtime.js
%{_libdir}/ocaml/stublibs/dllppx_inline_test_runner_lib_stubs.so

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*

%{_libdir}/ocaml/%{oname}/*/*.cmt
%{_libdir}/ocaml/%{oname}/*/*.cmti
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml*

%{_libdir}/ocaml/%{oname}/*/*/*.cmt
%{_libdir}/ocaml/%{oname}/*/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*/*.ml*



%changelog
* Wed Dec 14 2022 pterjan <pterjan> 1:0.15.0-4.mga9
+ Revision: 1922137
- Rebuild for new ppxlib

* Sun Oct 09 2022 pterjan <pterjan> 1:0.15.0-3.mga9
+ Revision: 1895943
- Rebuild for new ocaml-base and ocaml-ppxlib

* Fri May 20 2022 pterjan <pterjan> 1:0.15.0-2.mga9
+ Revision: 1859475
- Rebuild for OCaml 4.14

* Tue May 17 2022 pterjan <pterjan> 1:0.15.0-1.mga9
+ Revision: 1858555
- Update to 0.15.0

* Thu Oct 14 2021 tv <tv> 1:0.14.1-4.mga9
+ Revision: 1751363
- Fix devel deps

* Wed Oct 13 2021 tv <tv> 1:0.14.1-3.mga9
+ Revision: 1751309
- OCaml 4.13.1 build
- Add missing devel dependencies to the -devel subpackage

* Mon Mar 22 2021 tv <tv> 1:0.14.1-2.mga9
+ Revision: 1707645
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-5.mga8
+ Revision: 1670781
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-4.mga8
+ Revision: 1551811
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1545876
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 1:0.13.0-2.mga8
+ Revision: 1485338
- rebuild for new ocaml-stdio

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483857
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1:0.11.0-1.mga7
+ Revision: 1324713
- Update to 0.11.0

* Sun Sep 30 2018 umeabot <umeabot> 1:0.10.0-5.mga7
+ Revision: 1312684
- Mageia 7 Mass Rebuild

* Thu Aug 30 2018 daviddavid <daviddavid> 1:0.10.0-4.mga7
+ Revision: 1255609
- rebuild for new ocaml-result 1.3

* Thu Jul 05 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1241948
- rebuild against current ocaml stack
- enable debug package as it should

* Mon Feb 05 2018 daviddavid <daviddavid> 1:0.10.0-2.mga7
+ Revision: 1199042
- fix shared stubs libraries ocaml path

* Sun Jan 14 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193267
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Fri Feb 19 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 970630
- imported package ocaml-ppx_inline_test

